Thursday, July 7, 2011

Siteadvisor Incompatible With Firefox 5

Currently I get many questions about McAfee Siteadvisor not working in Firefox.

If you have updated to Firefox 5.0 nobody can help you but McAfee; their Siteadvisor is not compatible with the new version of Firefox anymore.

An excellent example how a big company, here McAfee, ruins an originally outstanding utility and makes it unusable.

An IMHO decent replacement would be Web Of Trust, WOT for short. You can check out WOT here. Please read the descriptions first!

If you want to install WOT please uninstall/remove Siteadvisor first. Here is how:
  1. Open the Control Panel
  2. In XP open Add/Remove Programs, in Vista or Win 7 open Programs and Features
  3. Find and highlight McAfee Siteadisor
  4. In XP click Remove, in Vista or Win 7 click Uninstall
Then you can install WOT from within Firefox.

As usual I welcome comments and suggestions right here in the blog. Thank you in advance.

Click here for a categorized Table Of Contents.



Anonymous said...

Is it possible to go back to Firefox 4 to get McAfee back?

Eike Heinze said...

Technically yes but I advise against it. As far as Firefox is concerned you would reduce the security level that the browser supplies. And why would anyone want to do that?

And I give in the post an alternative. Why don't you evaluate that, dear Anonymous?